// Package exception ...
//
// Description : exception ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-06-09 15:54
package exception

// Code 状态码的结构
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:55 2023/6/9
type Code struct {
	Value   interface{}       `json:"value"`   // 状态码的值
	Message map[string]string `json:"message"` // 状态码对应的文案(key -> 语言 , value -> 对应语言的描述)
	Reason  []*CodeReason     `json:"reason"`  // 产生此错误码的原因描述(key -> 语言 , value -> 对应语言的原因列表)
}

// CodeReason 错误码的原因
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 00:31 2023/11/5
type CodeReason struct {
	Reason   map[string]string   `json:"reason"`   // 错误原因: 语言 => 原因
	Solution map[string][]string `json:"solution"` // 解决步骤. 语言 => 解决步骤
}
